Loading...
Searching...
No Matches
V4PCI_DSP Class Reference

DSP interface implementation for OpenLine cards. More...

`#include <comm.h>`

Inheritance diagram for V4PCI_DSP:
Collaboration diagram for V4PCI_DSP:

## Public Member Functions

| V4PCI_DSP (Comm *comm, VPBREG &reg)
void | Reset (unsigned int)
| Reset port to its default cold-start state.
void | SetCountry (int, const Country *)
| Configure the hardware for country on port of this board.
void | SetHookState (int port, HookState hookstate)
| Set the hook state of port.
void | PadTxFrame (int port)
| Pad a partial transmit frame for forwarding to the hardware.
void | WaitForTxEmpty (int port)
| Block until the transmit buffers for port are empty.
void | UNListen (unsigned int port)
| Remove a half duplex bridge or full duplex tap from port.
void | CheckForAssert (unsigned short board)
void | IicRead (unsigned short addr, unsigned short length, uint16_t *buf)
void | IicWrite (unsigned short addr, unsigned short length, uint16_t *buf)
Public Member Functions inherited from HostDSP
| HostDSP (VPBREG &reg)
| Constructor.
virtual | ~HostDSP ()
| Destructor.
virtual void | SetPSImpedance (int port, int impedance)
| Override the default impedance for ProSLIC ports.
virtual void | SetVDAAImpedance (int port, int impedance)
| Override the default impedance for VDAA ports.
virtual void | SetFlashTime (int port, uint16_t min, uint16_t max)
| Configure the hook-flash detection window.
virtual float | GetHWPlayGain (unsigned int port)
virtual float | GetHWRecordGain (unsigned int port)
virtual void | TapListen (unsigned int port, unsigned int srcboard, unsigned int srcport)
| Create a full duplex tap to port of the audio from srcport on srcboard.

## Static Public Member Functions

static Hip * | GetHip ()

## Additional Inherited Members

Protected Member Functions inherited from HostDSP
| HostDSP (bool, VPBREG &reg)
| Bare bones constructor for hardware DSP implementations.
Protected Attributes inherited from HostDSP
VPBREG & | m_reg
| Reference to the `VPBREG` structure for this `HostDSP`.

## Detailed Description

DSP interface implementation for OpenLine cards.

## Member Function Documentation

## CheckForAssert()

void V4PCI_DSP::CheckForAssert | ( | unsigned short | board | ) |

Debug function that checks the DSP to see if an assert occurred, which hangs the DSP. If an assert occurs this method throws a Wobbly.

References HostDSP::m_reg.

## PadTxFrame()

void V4PCI_DSP::PadTxFrame | ( | int | port | ) |

virtual

Pad a partial transmit frame for forwarding to the hardware.

Implements HostDSP.

References HostDSP::m_reg.

## Reset()

void V4PCI_DSP::Reset | ( | unsigned int | port | ) |

inline virtual

Reset port to its default cold-start state.

Implements HostDSP.

## SetCountry()

void V4PCI_DSP::SetCountry | ( | int | port,
|  | const Country * | country )

inline virtual

Configure the hardware for country on port of this board.

Implements HostDSP.

## SetHookState()

void V4PCI_DSP::SetHookState | ( | int | port,
|  | HookState | hookstate )

virtual

Set the hook state of port.

Implements HostDSP.

References HostDSP::m_reg, vpb_c, VPB_FASTOFFHOOK, VPB_OFFHOOK, and VPB_ONHOOK.

## UNListen()

void V4PCI_DSP::UNListen | ( | unsigned int | port | ) |

virtual

Remove a half duplex bridge or full duplex tap from port.

Reimplemented from HostDSP.

References HostDSP::m_reg.

## WaitForTxEmpty()

void V4PCI_DSP::WaitForTxEmpty | ( | int | port | ) |

virtual

Block until the transmit buffers for port are empty.

Implements HostDSP.

References HostDSP::m_reg.